Bug 166680 - sendmail.mc missing dnl on SMART_HOST define
Summary: sendmail.mc missing dnl on SMART_HOST define
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: sendmail (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 200923
TreeView+ depends on / blocked
 
Reported: 2005-08-24 15:50 UTC by Matthew Micene
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-23 09:42:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Micene 2005-08-24 15:50:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
Unsuccessfully attempted to set up a SMART_HOST directive on a host with no DNS access using the supplied RedHat sendmail.mc.  After several days of troubleshooting, I realized that the define line in the supplied RedHat sendmail.mc was missing the final dnl for the line, causing the compiled sendmail.cf to be improperly formed.  The line in question is:

dnl # Uncomment and edit the following line if your outgoing mail needs to
dnl # be sent out through an external mail server:
dnl #
dnl define(`SMART_HOST',`smtp.your.provider')

This final line needs to be distributed as:
dnl define(`SMART_HOST',`smtp.your.provider') dnl


Version-Release number of selected component (if applicable):
sendmail-8.12.11-4.RHEL3.1

How reproducible:
Always

Steps to Reproduce:
1.  Install sendmail
2.  Uncomment SMART_HOST directive and edit mailserver
3.  Start sendmail and send mail to off-host address.
  

Actual Results:  Mail delivery fails with host lookup deferred.

Expected Results:  Mail delivered via relay defined in SMART_HOST directive.

Additional info:

Comment 1 Florian La Roche 2007-01-23 09:42:37 UTC
This is fixed in the development branch and will show up in newer RHEL releases.

Thanks for your bug-report,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.